Package org.apache.sysds.runtime.instructions.fed

# Enum Class FEDInstruction.FEDType

java.lang.Object
java.lang.Enum<FEDInstruction.FEDType>
org.apache.sysds.runtime.instructions.fed.FEDInstruction.FEDType

All Implemented Interfaces:
  `Serializable`, `Comparable<FEDInstruction.FEDType>`, `Constable`

Enclosing class:
  FEDInstruction

public static enum FEDInstruction.FEDType extends Enum<FEDInstruction.FEDType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AggregateBinary`
`AggregateTernary`
`AggregateUnary`
`Append`
`Binary`
`Cast`
`CentralMoment`
`Checkpoint`
`Covariance`
`CSVReblock`
`Ctable`
`CumsumOffset`
`CumulativeAggregate`
`Init`
`MAPMM`
`MatrixIndexing`
`MMChain`
`MultiReturnParameterizedBuiltin`
`ParameterizedBuiltin`
`QPick`
`QSort`
`Quaternary`
`Reblock`
`Reorg`
`Reshape`
`SpoofFused`
`Ternary`
`Tsmm`
`Unary`

## Method Summary

Modifier and Type
Method
Description
`static FEDInstruction.FEDType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FEDInstruction.FEDType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AggregateBinary

public static final FEDInstruction.FEDType AggregateBinary

### AggregateUnary

public static final FEDInstruction.FEDType AggregateUnary

### AggregateTernary

public static final FEDInstruction.FEDType AggregateTernary

### Append

public static final FEDInstruction.FEDType Append

### Binary

public static final FEDInstruction.FEDType Binary

### Cast

public static final FEDInstruction.FEDType Cast

### CentralMoment

public static final FEDInstruction.FEDType CentralMoment

### Checkpoint

public static final FEDInstruction.FEDType Checkpoint

### Covariance

public static final FEDInstruction.FEDType Covariance

### CSVReblock

public static final FEDInstruction.FEDType CSVReblock

### Ctable

public static final FEDInstruction.FEDType Ctable

### CumulativeAggregate

public static final FEDInstruction.FEDType CumulativeAggregate

### CumsumOffset

public static final FEDInstruction.FEDType CumsumOffset

### Init

public static final FEDInstruction.FEDType Init

### MultiReturnParameterizedBuiltin

public static final FEDInstruction.FEDType MultiReturnParameterizedBuiltin

### MMChain

public static final FEDInstruction.FEDType MMChain

### MAPMM

public static final FEDInstruction.FEDType MAPMM

### MatrixIndexing

public static final FEDInstruction.FEDType MatrixIndexing

### Ternary

public static final FEDInstruction.FEDType Ternary

### Tsmm

public static final FEDInstruction.FEDType Tsmm

### ParameterizedBuiltin

public static final FEDInstruction.FEDType ParameterizedBuiltin

### Quaternary

public static final FEDInstruction.FEDType Quaternary

### QSort

public static final FEDInstruction.FEDType QSort

### QPick

public static final FEDInstruction.FEDType QPick

### Reblock

public static final FEDInstruction.FEDType Reblock

### Reorg

public static final FEDInstruction.FEDType Reorg

### Reshape

public static final FEDInstruction.FEDType Reshape

### SpoofFused

public static final FEDInstruction.FEDType SpoofFused

### Unary

public static final FEDInstruction.FEDType Unary

## Method Details

### values

public static FEDInstruction.FEDType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FEDInstruction.FEDType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null